Subject: Re: How to Import a bitkeeper repo into git

From: Pete/Piet Delaney <[email-masked]>
Date: Tue, 16 Oct 2007 22:22:01 -0700

Marco Costalba wrote:
> On 10/16/07, Pete/Piet Delaney <[email-masked]> wrote:
>> It's not quite a intuitive/familiar as with bitkeeper. I suspect I just
>> need some practice. I selected a huge list if files that we use to
>> filter the release with and double clicked on the file I thought showing
>> to focus on that file. The I pulled down External Diff and it took for
>> ever; like it's confused.
>>
> 
> You shoudl select only _one_ additional revision.
> 
> The currenlty selected revision is the base + select another one
> (only) with CTRL + *RIGHT* click (the file list change background
> color) , then call external diff tool.
> 
>> Often we/I want to see the rev history for a particular file.
>> How would you do that with Qgit?
>>
> 
> Select the file from the file list (right bottom pane) or from the
> tree view (use key 't' to toggle treev view) double click on it or use
> context menu (right click on the file name) and that's all.

't' worked fine but still can see how to diff do of the list of
changes for a file. Viewing diffs of files based on change sets
worked fine but I think with BitKeeper I found it helpful to be
able to do a full 'kompare' type diff the file only; often I'm
not interested in which change set it went into.

Something for a future version or am I lucky and you have
it covered already?

> 
>> Can I see just the revs for a particular file?
>>
> 
> See above.
> 
> 
> I know I'm going to tell you a very _unpopular_ thing, but, in case
> you have 5 minutes of spare time (yes, it doesn't take longer), open
> qgit then please press a nice key called 'F1', a nice handbook will
> appear...

Good Idea, thought it's brought up a few questions:

	1. When I do the <control-minis> to Decrease the font size
	   I can't undo it with the <control-plus>. Also <control-plus>
	   doesn't seem to do anything.

	2. When displaying the "Lane info" why can't I see the
           branch names?

>
> I really suggest to look at it. To keep UI 'clean' a lot of features
> are not immediatly visible, so reading the handbook (at least the
> chapter's titiles) would give you a better idea of what qgit could do
> for you.

I'll read it a few more times. I seem to sometimes get into a state
where I'm locked onto the current change set and can't get back to
the other change sets without starting another qgit.

> 
>> I'll get the latest and greatest. Thinks. Often the problem is
>> having the current version of Qt3. My workstation is Mandrake
>> 1005 Limited Edition (X11 Xinerama works on this release).
>> Looks like I have Qt3 on my workstation. Would it be worthwhile
>> to install Qt4 from src and try to use qgit-2.0?
>>
> 
> Yes it is. There are a lot of new featrures, is almost as stable as
> the previous and if you are interested in file history (annotations)
> in qgit-2.0 this feature has been greatly speeded up.

Do you know if it's a lot of work to install Qt4?

- -piet

> Have fun
> Marco